Bug 221056 - dd_rhelp: "tail +N" deprecated
dd_rhelp: "tail +N" deprecated
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dd_rescue (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 12:03 EST by Jason Farrell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 06:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dd_rhelp patch (4.29 KB, patch)
2006-12-31 12:03 EST, Jason Farrell
no flags Details | Diff

  None (edit)
Description Jason Farrell 2006-12-31 12:03:57 EST
Description of problem:
The dd_rhelp helper script for dd_rescue uses the deprecated "tail +2" form;
needs to be "tail -n +2"

Version-Release number of selected component (if applicable):
dd_rescue-1.12-4.fc6

How reproducible:
For recent versions of GNU coreutils

Steps to Reproduce:
1. dd if=/dev/zero of=badimg bs=1k count=1000k
2. dd_rhelp badimg badimg.rescued
3. Ctrl-C or Ctrl-\ and goto 2.
  
Actual results:
The script appears to still work, but with the following errors sprinkled
throughout:
/usr/bin/tail: cannot open `+2' for reading: No such file or directory
/usr/bin/tail: cannot open `+2' for reading: No such file or directory

Expected results:
No complaints from the tail util.

Additional info:
http://blogs.sun.com/gerrys/entry/tail
Comment 1 Jason Farrell 2006-12-31 12:03:57 EST
Created attachment 144595 [details]
dd_rhelp patch
Comment 2 Andreas Thienemann 2007-03-07 06:23:51 EST
Thanks for the patch, a new package has been built.

Note You need to log in before you can comment on or make changes to this bug.